# Generated from fluent-plugin-monitor-agent-modified-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluent-plugin-monitor-agent-modified

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Outputs monitor informations for fluentd
License: Apache-2.0
URL: https://github.com/BlackNight95/fluent-plugin-monitor-agent-modified
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(flexmock) >= 2.0
# BuildRequires: rubygem(flexmock) < 3
# BuildRequires: rubygem(parallel_tests) >= 0.15.3
# BuildRequires: rubygem(parallel_tests) < 0.16
# BuildRequires: rubygem(simplecov) >= 0.7
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(rr) >= 1.0
# BuildRequires: rubygem(rr) < 2
# BuildRequires: rubygem(timecop) >= 0.3
# BuildRequires: rubygem(timecop) < 1
# BuildRequires: rubygem(test-unit) >= 3.2
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(test-unit-rr) >= 1.0
# BuildRequires: rubygem(test-unit-rr) < 2
# BuildRequires: rubygem(oj) >= 2.14
# BuildRequires: rubygem(oj) < 4
BuildArch: noarch

%description
Modified version of default in_monitor_agent in fluentd. It can monitor number
of emitted records during emit_interval when tag is configured.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/LISENCE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fluent-plugin-monitor-agent-modified.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.1-1
- Initial package
